summaryrefslogtreecommitdiff
path: root/dev-python/yara-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-19 19:24:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-04-19 19:24:47 +0000
commitb697a7165bded30c558e6a31575d94bc0f4d9aba (patch)
treef3f19a01c5bf15c821e07da533406b26c2bddb60 /dev-python/yara-python
parentc5309ffebfc3ff93fc2f48711e7d82f4159f68d0 (diff)
downloadbaldeagleos-repo-b697a7165bded30c558e6a31575d94bc0f4d9aba.tar.gz
baldeagleos-repo-b697a7165bded30c558e6a31575d94bc0f4d9aba.tar.xz
baldeagleos-repo-b697a7165bded30c558e6a31575d94bc0f4d9aba.zip
Adding metadata
Diffstat (limited to 'dev-python/yara-python')
-rw-r--r--dev-python/yara-python/Manifest3
-rw-r--r--dev-python/yara-python/yara-python-4.5.0.ebuild41
2 files changed, 43 insertions, 1 deletions
diff --git a/dev-python/yara-python/Manifest b/dev-python/yara-python/Manifest
index 0cd5706592a1..d5e047024713 100644
--- a/dev-python/yara-python/Manifest
+++ b/dev-python/yara-python/Manifest
@@ -1 +1,2 @@
-DIST yara-python-4.4.0.gh.tar.gz 38072 BLAKE2B 748dab52e99e264c7d9eb0d7d4482fb76b29f8463f031cf20687e30ae792141633d12e6b3f20303c8ee99bcdaafa01a3df9f73aaf3dd722ad5da9820e6a4d39e SHA512 bc72c2f65e3fe3d7f94728565143b787df6cc63313a3e8b9f159a5cfc3c947f5233674a1213fd2c6454f6165b676da366319794f9fa7c695c43e5523c29a1432
+DIST yara-python-4.4.0.gh.tar.gz 39295 BLAKE2B 27aa6b9fdf07cf30ec30a69c523e8a4eede52389a5565b4b083ac5d7206deaf3bcc0e2cf2fbda2fd01fce53b7ebc65e7c357705bc3244bfcc004bce2acd44e9e SHA512 8c6e30929172942e6e367c889f2d141f81264d9cfc4b5f5f4d35207d4ae25393050c976db823ef74f341ac18b7ee9eef8007d88348bc79848311d4b95fb1fdbd
+DIST yara-python-4.5.0.gh.tar.gz 39301 BLAKE2B 9bee247ef21b6e2e576acbac7cfcf140fd3b1ab992affc019f9ce290e00809e397d5057b9033f53fcd94885e855e783e4c43835850c9e6dcd57d74661ba8380b SHA512 b4f091bff7fd3bcd63e7f9f0a765aac7bdb3f17a1bc4b163687ae9ca21048194d90cf2bf1165998edb9953b83e022939179c51de59862a456676f099de69778d
diff --git a/dev-python/yara-python/yara-python-4.5.0.ebuild b/dev-python/yara-python/yara-python-4.5.0.ebuild
new file mode 100644
index 000000000000..e005f9dc073e
--- /dev/null
+++ b/dev-python/yara-python/yara-python-4.5.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_EXT=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+inherit distutils-r1
+
+DESCRIPTION="Python interface for a malware identification and classification tool"
+HOMEPAGE="https://github.com/VirusTotal/yara-python"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/VirusTotal/yara-python.git"
+else
+ SRC_URI="https://github.com/virustotal/yara-python/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+RDEPEND="
+ =app-forensics/yara-$(ver_cut 1-2)*
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ cat >> setup.cfg <<-EOF
+ [build_ext]
+ dynamic_linking = True
+ EOF
+}
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests fail with ${EPYTHON}"
+}